## org.gnu.gtk
Class FileChooserWidget

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Box
                          org.gnu.gtk.VBox
                              org.gnu.gtk.FileChooserWidget

All Implemented Interfaces:
  FileChooser

public class FileChooserWidget
extends VBox
implements FileChooser

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`FileChooserWidget(FileChooserAction action)`
`FileChooserWidget(Handle handle)`

Method Summary
`void` `addFilter(FileFilter filter)`
`void` `addShortcutFolder(java.lang.String folder)`
`void` `addShortcutURI(java.lang.String uri)`
`FileChooserAction` `getAction()`
`java.lang.String` `getCurrentFolder()`
`java.lang.String` `getCurrentFolderURI()`
`Widget` `getExtraWidget()`
`java.lang.String` `getFilename()`
`java.lang.String[]` `getFilenames()`
`FileFilter` `getFilter()`
`boolean` `getLocalOnly()`
`java.lang.String` `getPreviewFilename()`
`java.lang.String` `getPreviewURI()`
`Widget` `getPreviewWidget()`
`boolean` `getPreviewWidgetActive()`
`boolean` `getSelectMultiple()`
`boolean` `getShowHidden()` Sets whether hidden files and folders are displayed in the file selector.
`java.lang.String` `getURI()`
`java.lang.String[]` `getURIs()`
`boolean` `getUsePreviewLabel()`
`protected static int` `gtk_file_chooser_widget_get_type()`
`protected static Handle` `gtk_file_chooser_widget_new(int action)`
`FileFilter[]` `listFilters()`
`java.lang.String[]` `listShortcutFolders()`
`java.lang.String[]` `listShortcutURIs()`
`void` `removeFilter(FileFilter filter)`
`void` `removeShortcutFolder(java.lang.String folder)`
`void` `removeShortcutURI(java.lang.String uri)`
`void` `selectAll()`
`boolean` `selectFilename(java.lang.String filename)`
`boolean` `selectURI(java.lang.String uri)`
`void` `setAction(FileChooserAction action)`
`boolean` `setCurrentFolder(java.lang.String folder)`
`boolean` `setCurrentFolderURI(java.lang.String folder)`
`void` `setCurrentName(java.lang.String name)`
`void` `setExtraWidget(Widget extraWidget)`
`boolean` `setFilename(java.lang.String filename)`
`void` `setFilter(FileFilter filter)`
`void` `setLocalOnly(boolean localOnly)`
`void` `setPreviewWidget(Widget previewWidget)`
`void` `setPreviewWidgetActive(boolean active)`
`void` `setSelectMultiple(boolean selectMultiple)`
`void` `setShowHidden(boolean hidden)` Sets whether hidden files and folders are displayed in the file selector.
`boolean` `setURI(java.lang.String uri)`
`void` `setUsePreviewLabel(boolean useLabel)`
`void` `unselectAll()`
`void` `unselectFilename(java.lang.String filename)`
`void` `unselectURI(java.lang.String uri)`

Methods inherited from class org.gnu.gtk.VBox
`getType, gtk_vbox_get_type, gtk_vbox_new`

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, gtk_box_get_homogeneous, gtk_box_get_spacing, gtk_box_get_type, gtk_box_pack_end_defaults, gtk_box_pack_end, gtk_box_pack_start_defaults, gtk_box_pack_start, gtk_box_query_child_packing, gtk_box_reorder_child, gtk_box_set_child_packing, gtk_box_set_homogeneous, gtk_box_set_spacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChooserWidget

    public FileChooserWidget(Handle handle)

### FileChooserWidget

    public FileChooserWidget(FileChooserAction action)

Method Detail

### setAction

    public void setAction(FileChooserAction action)

  Specified by:
    `setAction` in interface `FileChooser`

### getAction

    public FileChooserAction getAction()

  Specified by:
    `getAction` in interface `FileChooser`

### setLocalOnly

    public void setLocalOnly(boolean localOnly)

  Specified by:
    `setLocalOnly` in interface `FileChooser`

### getLocalOnly

    public boolean getLocalOnly()

  Specified by:
    `getLocalOnly` in interface `FileChooser`

### setSelectMultiple

    public void setSelectMultiple(boolean selectMultiple)

  Specified by:
    `setSelectMultiple` in interface `FileChooser`

### getSelectMultiple

    public boolean getSelectMultiple()

  Specified by:
    `getSelectMultiple` in interface `FileChooser`

### setCurrentName

    public void setCurrentName(java.lang.String name)

  Specified by:
    `setCurrentName` in interface `FileChooser`

### getFilename

    public java.lang.String getFilename()

  Specified by:
    `getFilename` in interface `FileChooser`

### setFilename

    public boolean setFilename(java.lang.String filename)

  Specified by:
    `setFilename` in interface `FileChooser`

### selectFilename

    public boolean selectFilename(java.lang.String filename)

  Specified by:
    `selectFilename` in interface `FileChooser`

### unselectFilename

    public void unselectFilename(java.lang.String filename)

  Specified by:
    `unselectFilename` in interface `FileChooser`

### selectAll

    public void selectAll()

  Specified by:
    `selectAll` in interface `FileChooser`

### unselectAll

    public void unselectAll()

  Specified by:
    `unselectAll` in interface `FileChooser`

### getFilenames

    public java.lang.String[] getFilenames()

  Specified by:
    `getFilenames` in interface `FileChooser`

### setCurrentFolder

    public boolean setCurrentFolder(java.lang.String folder)

  Specified by:
    `setCurrentFolder` in interface `FileChooser`

### getCurrentFolder

    public java.lang.String getCurrentFolder()

  Specified by:
    `getCurrentFolder` in interface `FileChooser`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `FileChooser`

### setURI

    public boolean setURI(java.lang.String uri)

  Specified by:
    `setURI` in interface `FileChooser`

### selectURI

    public boolean selectURI(java.lang.String uri)

  Specified by:
    `selectURI` in interface `FileChooser`

### unselectURI

    public void unselectURI(java.lang.String uri)

  Specified by:
    `unselectURI` in interface `FileChooser`

### getURIs

    public java.lang.String[] getURIs()

  Specified by:
    `getURIs` in interface `FileChooser`

### setCurrentFolderURI

    public boolean setCurrentFolderURI(java.lang.String folder)

  Specified by:
    `setCurrentFolderURI` in interface `FileChooser`

### getCurrentFolderURI

    public java.lang.String getCurrentFolderURI()

  Specified by:
    `getCurrentFolderURI` in interface `FileChooser`

### setPreviewWidget

    public void setPreviewWidget(Widget previewWidget)

  Specified by:
    `setPreviewWidget` in interface `FileChooser`

### getPreviewWidget

    public Widget getPreviewWidget()

  Specified by:
    `getPreviewWidget` in interface `FileChooser`

### setUsePreviewLabel

    public void setUsePreviewLabel(boolean useLabel)

  Specified by:
    `setUsePreviewLabel` in interface `FileChooser`

### getUsePreviewLabel

    public boolean getUsePreviewLabel()

  Specified by:
    `getUsePreviewLabel` in interface `FileChooser`

### setPreviewWidgetActive

    public void setPreviewWidgetActive(boolean active)

  Specified by:
    `setPreviewWidgetActive` in interface `FileChooser`

### getPreviewWidgetActive

    public boolean getPreviewWidgetActive()

  Specified by:
    `getPreviewWidgetActive` in interface `FileChooser`

### getPreviewFilename

    public java.lang.String getPreviewFilename()

  Specified by:
    `getPreviewFilename` in interface `FileChooser`

### getPreviewURI

    public java.lang.String getPreviewURI()

  Specified by:
    `getPreviewURI` in interface `FileChooser`

### setExtraWidget

    public void setExtraWidget(Widget extraWidget)

  Specified by:
    `setExtraWidget` in interface `FileChooser`

### getExtraWidget

    public Widget getExtraWidget()

  Specified by:
    `getExtraWidget` in interface `FileChooser`

### addFilter

    public void addFilter(FileFilter filter)

  Specified by:
    `addFilter` in interface `FileChooser`

### removeFilter

    public void removeFilter(FileFilter filter)

  Specified by:
    `removeFilter` in interface `FileChooser`

### listFilters

    public FileFilter[] listFilters()

  Specified by:
    `listFilters` in interface `FileChooser`

### setFilter

    public void setFilter(FileFilter filter)

  Specified by:
    `setFilter` in interface `FileChooser`

### getFilter

    public FileFilter getFilter()

  Specified by:
    `getFilter` in interface `FileChooser`

### addShortcutFolder

    public void addShortcutFolder(java.lang.String folder)
                           throws FileChooserException

  Specified by:
    `addShortcutFolder` in interface `FileChooser`
  Throws:
    `FileChooserException`

### removeShortcutFolder

    public void removeShortcutFolder(java.lang.String folder)
                              throws FileChooserException

  Specified by:
    `removeShortcutFolder` in interface `FileChooser`
  Throws:
    `FileChooserException`

### listShortcutFolders

    public java.lang.String[] listShortcutFolders()

  Specified by:
    `listShortcutFolders` in interface `FileChooser`

### addShortcutURI

    public void addShortcutURI(java.lang.String uri)
                        throws FileChooserException

  Specified by:
    `addShortcutURI` in interface `FileChooser`
  Throws:
    `FileChooserException`

### removeShortcutURI

    public void removeShortcutURI(java.lang.String uri)
                           throws FileChooserException

  Specified by:
    `removeShortcutURI` in interface `FileChooser`
  Throws:
    `FileChooserException`

### listShortcutURIs

    public java.lang.String[] listShortcutURIs()

  Specified by:
    `listShortcutURIs` in interface `FileChooser`

### setShowHidden

    public void setShowHidden(boolean hidden)

  Sets whether hidden files and folders are displayed in the file selector.

  Specified by:
    `setShowHidden` in interface `FileChooser`
  Parameters:
    `hidden` - `true` if hidden files and folders should be displayed.

### getShowHidden

    public boolean getShowHidden()

  Sets whether hidden files and folders are displayed in the file selector.

  Specified by:
    `getShowHidden` in interface `FileChooser`
  Returns:
    `true` if hidden files and folders should be displayed.

### gtk_file_chooser_widget_get_type

    protected static final int gtk_file_chooser_widget_get_type()

### gtk_file_chooser_widget_new

    protected static final Handle gtk_file_chooser_widget_new(int action)